// EdgeLayer.cpp: CEdgeLayer NX̃Cve[V
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "EdgeLayer.h"

#include <string.h>


// RXgN^
CEdgeLayer::CEdgeLayer()
{
	m_pbtImage = NULL;
	m_bShow = true;
	strcpy(m_szName, "noname");
	m_bImageAutoDelete = false;
}

// fXgN^
CEdgeLayer::~CEdgeLayer()
{
	if (m_pbtImage) {
		if (m_bImageAutoDelete) {
			delete [] m_pbtImage;
		}
		m_pbtImage = NULL;
	}
}

// C[Wݒ
void CEdgeLayer::SetImage(BYTE* pbtImage, bool bAutoDelete)
{
	m_pbtImage = pbtImage;
	m_bImageAutoDelete = bAutoDelete;
}

// \ݒ
void CEdgeLayer::SetShow(bool bShow)
{
	m_bShow = bShow;
}

// Cݒ
void CEdgeLayer::SetName(const char* pszName)
{
	if (strlen(pszName) >= NAME_MAX - 1) {
		// ꍇ͓rłԂ؂
		memcpy(m_szName, pszName, NAME_MAX - 1);
		m_szName[NAME_MAX - 1] = '\0';
		return;
	}
	strcpy(m_szName, pszName);
}

// C[W擾
const BYTE* CEdgeLayer::GetImage()
{
	return m_pbtImage;
}

// \邩H
bool CEdgeLayer::IsShow()
{
	return m_bShow;
}

// C擾
const char* CEdgeLayer::GetName()
{
	return m_szName;
}